Subject: Why can I barely do one push up, yet I am otherwise relatively fit and eat healthily?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jun 2020 00:12:43 +0000

Adithya's Digest
Your Quora Digest

-----

Question: Why can I barely do one push up, yet I am otherwise relatively fit and eat healthily?

Answer from Mark Werner

This has nothing to do with your wrists and hands, or you back either. The reason that people are often unable to do the push-up exercise with any facility is simply that this
Read More: http://www.quora.com/Why-can-I-barely-do-one-push-up-yet-I-am-otherwise-relatively-fit-and-eat-healthily?top_ans=84285180
-----
Question: The curve had flattened in China by the time it reached 80,000 coronavirus cases, so why is it still rising fast in India when we have already crossed 85,000 cases?

Answer from Neel Mehta

I will just like to share one incident related to China, and hope that you'll hack the case on your own.

In 1975, a dam in China, named Banquio dam, failed due to a terrible 
Read More: http://www.quora.com/The-curve-had-flattened-in-China-by-the-time-it-reached-80-000-coronavirus-cases-so-why-is-it-still-rising-fast-in-India-when-we-have-already-crossed-85-000-cases?top_ans=216336020
-----
Question: What is the best life advice you would give?

Answer from Sweta Tiwari

Did you notice the only common thing in all of these conversations? Yes, they all are sad. Now being sad, upset , hurt of something isn't wrong, it's okay to feel bad for anyt
Read More: http://www.quora.com/What-is-the-best-life-advice-you-would-give?top_ans=207705693
-----
Question: What are the best exercises to boost testosterone production?

Answer from Allen Hicks

Exercise can definitely help if you’ve low testosterone levels. But first, let me explain to you the biggest culprits behind low testosterone count.

As a matter of fact, the 
Read More: http://www.quora.com/What-are-the-best-exercises-to-boost-testosterone-production?top_ans=188478763
-----
Question: If a child was born without human contact for 18 or so years what language would they speak?

Answer from Aditya Saxena (आदित्य सक्सेना)

The man in the picture is Dina Sanichar,Widely believed to be raised by the wolves, a.k.a. real-life ‘Mowgli'. He was born in India and was found in the deep jungles of Uttar 
Read More: http://www.quora.com/If-a-child-was-born-without-human-contact-for-18-or-so-years-what-language-would-they-speak?top_ans=216317806
-----
Question: What shocking things do most Indians not know?

Answer from Yatesh Rajput

Way up in the hills, in the Kullu district of Himachal Pradesh is a small village called “Malana”. It is isolated from rest of the world.

Here are some lesser known facts abo
Read More: http://www.quora.com/What-shocking-things-do-most-Indians-not-know?top_ans=51464446
-----
Question: What happens if you do a 1-minute plank every day?

Answer from Deepika Choudhary

1- minute plank will change your body. If you are not able to hold for one minute try with 10 seconds and then day by day increase the time. It’s all about the hand strength. 
Read More: http://www.quora.com/What-happens-if-you-do-a-1-minute-plank-every-day?top_ans=214726193
-----
Question: What's your conspiracy theory?

Answer from Ben Thayer

My sister is actually my mom.

Well, so I’ve been saying for about 8–9 years, anyway. My “sister” was an 18 year old college student when I was born. Allegedly, we were born t
Read More: http://www.quora.com/Whats-your-conspiracy-theory?top_ans=179193832
-----
Question: I have mastered riding a 125cc motorcycle. Am I ready to buy a 1000cc super sport motorcycle?

Answer from Robby Pedrica

1st, when someone says they have mastered something, I tend to be a bit suspicious. You haven’t provided any context for the statement so it could be anything from “you’re goo
Read More: http://www.quora.com/I-have-mastered-riding-a-125cc-motorcycle-Am-I-ready-to-buy-a-1000cc-super-sport-motorcycle?top_ans=209717480
-----
Question: What are the coolest psychology facts you know?

Answer from Sadaf Saad

1. Women generally prefer men with deep husky voices because they seem more confident and not aggressive.
2. The people who give the best advice are usually the ones with the 
Read More: http://www.quora.com/What-are-the-coolest-psychology-facts-you-know?top_ans=208253895
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1591920761578622&et=2&id=bebd925b709244ab8b92eda7c96381ce&request_id=749584303143009699&source&src=1&st=1591920761578622&stories=1_VJP5uWdChBD%7C1_1tyBYx4xRiB%7C1_aACJ6UdnFXy%7C1_3cn1b6tJ3Jd%7C1_MsBFrVzR6xS%7C1_VCwaSkaGeHZ%7C1_FRYVinvWgX7%7C1_oyU48N7NTp4%7C1_ov4SZOtWZ5K%7C1_LMAdTKQOf0Q&ty&ty_data&uid=YAUh0rw6tgW&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=bebd925b709244ab8b92eda7c96381ce&t=1591920762003337&token=d8f5085d18b738bc06c8455fdcebf2561facdafbb80810f5b06d2667dc4ec164d63fe8f46e29aa3467509a99f7974958430c37377774df780ddfdeeea53d4033&type=2&uid=1075494353